var Dfe58000_ManifestacaoDestinatario_Repositories = function(localStorageEngine, restEngine, General) {
    this.montaConfigTransmissao = function(row) {
        var filter = [
            {
                "name": "ROW",
                "operator": "=",
                "value": row
            }
        ];
        return localStorageEngine.download("df_entrada#/config_manifestacao", filter);
    };
    
    this.setConfigTransmissao = function(row) {
        return localStorageEngine.save("df_entrada#/config_manifestacao", row);
    };

    this.sincronizarNFe = function(config, row) {
        var filter = [
            {
                "name": "CONFIG",
                "operator": "=",
                "value": config
            },
            {
                "name": "OPCOESSINC",
                "operator": "=",
                "value": row
            }
        ];
        return General.callRestEngine("df_entrada#/sincronizarNfeManifestacao", "FilterData", filter);
    };

    this.manifestarNfe = function(notasfiscais, config, evento, justificativa) {
        var filter = [
            {
                "name": "NOTAS",
                "operator": "=",
                "value": notasfiscais
            },
            {
                "name": "CONFIG",
                "operator": "=",
                "value": config
            },
            {
                "name": "EVENTO",
                "operator": "=",
                "value": evento
            },
            {
                "name": "JUSTIFICATIVA",
                "operator": "=",
                "value": justificativa
            }
        ];
        return localStorageEngine.download("df_entrada#/manifestarNfe", filter);
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register('Dfe58000_ManifestacaoDestinatario_Repositories', Dfe58000_ManifestacaoDestinatario_Repositories);
});